#!/usr/bin/env node

var shell = require('../lib/spawn').shell;
require('../lib/prototype');
var path = require('path');

var cmd = path.resolve(__dirname, '../bin/du.exe');

(async () => {
    var opts = { cwd: process.cwd() }
    var args = process.argv.slice(2)
    if (args.length == 0) {
        args = args.concat('-ahd', '1')
    }
    var r = await shell({ cmd, args, opts })
    console.log(r.error || r.stdout)

})();